New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Clips

Read a YouTube link's title, thumbnail and available heights

POST
/api/v1/clips/youtube-preview

Request Body

application/json
  1. body
name?|

Project name (falls back to the video title)

url*Url

YouTube video URL to download

max_height?|

Cap video resolution (e.g. 1080); None keeps best quality

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/clips/youtube-preview' \  -H 'Content-Type: application/json' \  -d '{  "url": "string"}'
Example Response
null